Package org.kapott.hbci.sepa.jaxb.pain_002_001_11

# Class Document

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_11.Document

public class Document extends Object

Java class for Document complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Document">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CstmrPmtStsRpt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.11}CustomerPaymentStatusReportV11"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CustomerPaymentStatusReportV11`
`cstmrPmtStsRpt`

## Constructor Summary

Constructors
Constructor
Description
`Document()`

## Method Summary

Modifier and Type
Method
Description
`CustomerPaymentStatusReportV11`
`getCstmrPmtStsRpt()`
Gets the value of the cstmrPmtStsRpt property.
`void`
`setCstmrPmtStsRpt(CustomerPaymentStatusReportV11 value)`
Sets the value of the cstmrPmtStsRpt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cstmrPmtStsRpt

protected CustomerPaymentStatusReportV11 cstmrPmtStsRpt

## Constructor Details

### Document

public Document()

## Method Details

### getCstmrPmtStsRpt

public CustomerPaymentStatusReportV11 getCstmrPmtStsRpt()
Gets the value of the cstmrPmtStsRpt property.

Returns:
  possible object is `CustomerPaymentStatusReportV11`

### setCstmrPmtStsRpt

public void setCstmrPmtStsRpt(CustomerPaymentStatusReportV11 value)
Sets the value of the cstmrPmtStsRpt property.

Parameters:
  `value` - allowed object is `CustomerPaymentStatusReportV11`